News
new-item-picture

Update on Windows support for next version of Adobe Lightroom

Published: January 26, 2015

Adobe Lightroom 6 will require Mac OS X 10.8 or above, or a 64 bit version of Windows 7, 8 or 8.1.

If you are on Mac OS X 10.7, or a 32 bit version of Windows, you will continue to be able to install and run Lightroom 5 and use Lightroom mobile. However, you will not be able to install Lightroom 6 until you upgrade to a supported operating system.

For Windows users, Microsoft has a how-to reference (here) to help you determine whether you are running a 32 or 64 bit version of Windows.

Learn more on the Adobe blog.

MindManager 2017 banner
 Testimonials Banner